/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Mozilla Penelope project.
 *
 * The Initial Developer of the Original Code is
 * QUALCOMM Incorporated.
 * Portions created by QUALCOMM Incorporated are
 * Copyright (C) 2007-2010 QUALCOMM Incorporated. All Rights Reserved.
 *
 * Contributor(s):
 *     Jeff Beckley <beckley@qualcomm.com>
 *     Matt Dudziak <mdudziak@qualcomm.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

//@line 40 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"

// Override of TB settings
pref("mail.purge.ask", false);
pref("mail.prompt_purge_threshhold", true);
pref("mail.purge_threshhold", 10000);
pref("mail.italicize_sent_by_me", true);
pref("mailnews.reply_quoting_selection.only_if_chars", "\n.!?");
pref("mail.forward_message_mode", 2);
pref("mail.tabs.autoHide", true);
pref("browser.download.useDownloadDir", true);
pref("mail.tabs.loadInBackground", false);
pref("mailnews.customHeaders", "Reply-To:");
pref("mailnews.mark_message_read.auto", true);
pref("mailnews.mark_message_read.delay", false);
pref("mailnews.mark_message_read.delay.interval", 5);
//@line 58 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"
pref("mail.deleteMarksRead", false);
//@line 60 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"


// Penelope settings
pref("penelope.selectedTextURL1", "Google,http://www.google.com/search?q=%s");
pref("penelope.selectedTextURL2", "Dictionary,http://www.dictionary.com/search?q=%s");
pref("penelope.selectedTextURL3", "Thesaurus,http://thesaurus.reference.com/browse/%s");
pref("penelope.selectedTextURL4", "Translator,http://babelfish.yahoo.com/?text=%s");
pref("penelope.selectedTextURL5", "Wikipedia,http://wikipedia.org/wiki/search.php?search=%s");
pref("penelope.selectedTextURL6", "");
pref("penelope.useKeymap", true);
pref("penelope.keymap", "penelope");
//@line 74 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"
pref("penelope.ui3pane", true);
//@line 76 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"

pref("penelope.mailbox.font.name", "");
pref("penelope.mailbox.font.size", 0);
pref("penelope.mailbox.autoOpen", true);
pref("penelope.mailbox.selectFUMLUB", true);
pref("penelope.mailbox.showPreviewPane", true);
//@line 85 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"
pref("penelope.mailbox.openInTab", true);
//@line 87 "/home/beckley/Code/IHPerforce/projects/penelope/eudora/mozilla/extensions/penelope/base/prefs/all-penelope.js"
pref("penelope.mailbox.selectShowsMailbox", false);

pref("penelope.attachments.detachOnDblClick", true);

pref("penelope.closeMainWindowQuits", false);
pref("penelope.noCloseMainWindow", false);
pref("mail.close_message_window.on_delete", true);

pref("penelope.mailbox.ignoreJunkColumnClick", true);
pref("penelope.mailbox.ignoreStarColumnClick", false);
pref("penelope.mailbox.ignoreReadColumnClick", false);

pref("penelope.sessionstore.restoreOnStartup", true);

pref("penelope.copyFullAddresses", true);
pref("penelope.mailbox.columnsToPadLeft", "tagsCol,whoCol,senderCol,recipientCol,dateCol,receivedCol,accountCol,subjectCol,idCol,locationCol");
pref("penelope.mailbox.columnPadLeft", 20);
pref("penelope.mailbox.columnPadLeft.subjectCol", 3);
pref("penelope.mailbox.columnsToPadRight", "sizeCol,unreadCol,totalCol");
pref("penelope.mailbox.columnPadRight", 3);
pref("penelope.attachments.alwaysShowAttachBox", true);
pref("penelope.mailbox.showLines", false);
pref("penelope.mailbox.showLines.color", "#C0C0C0");
pref("penelope.mailbox.fixIconColumns", true);
pref("penelope.mailbox.fixIconColumns.width", 24);
